Пропустить

Как изменить или обновить версию PHP WordPress

Divi: самая простая тема WordPress для использования

Divi: Лучшая тема WordPress всех времен!

Более Загрузка 600.000, Divi - самая популярная тема WordPress в мире. Он является полным, простым в использовании и поставляется с более чем бесплатными шаблонами 62. [Рекомендуется]

Если вы хотите, чтобы ваш блог, ваш сайт или ваш бутик ан Ligne работает нормально, было бы идеально рассмотреть вопрос об изменении или обновлении версии PHP, которую вы используете на своем сайте. Новая версия PHP (PHP7) еще недостаточно распространена, но она не будет длинной, потому что она приносит много новшеств и весьма вероятно, что она требуется для установки или использования следующей версии WordPress.

В этой статье предполагается, что вы уже создали веб-сайт или блог WordPress. В противном случае, смотрите это подробное руководство.

Но если вы уже сделали это, давайте продолжим.

Почему вы должны перейти на PHP 7?

Если вы используете WordPress на своем сервере, у вас, очевидно, уже установлен PHP. Итак, зачем обновляться, когда все работает так хорошо?

Вот некоторые из наиболее распространенных причин, по которым вам следует рассмотреть возможность обновления вашей версии PHP:

  • . плагины и скрипты установленные вами версии больше не совместимы с используемой версией
  • Минимальные требования для запуска WordPress увеличились
  • Версия, которую вы используете, имеет недостатки безопасности, и обновление включает в себя патч
  • Вам нужно мигрировать к более стабильной версии
  • Вы хотите протестировать другую версию при установке WordPress или в тестовой среде
  • Вы обнаружили конфликт между используемой версией и установленными плагинами, темами или сценариями.

Вы когда-нибудь задумывались о защите своего блога или сайта? здесь Несколько советов, чтобы обезопасить свой блог WordPress

Все это веские причины, но прежде чем вы продолжите обновлять свою версию PHP, у нее есть недостатки, которые вы должны рассмотреть ...

Некоторые важные недостатки, чтобы рассмотреть ...

Переход на более новую версию PHP сопряжен с некоторыми рисками. Вот премиум плагин WordPress, который полностью сохранит ваш сайт и восстановит его в случае сбоя.

Главное, что вы должны иметь в виду перед обновлением, это то, что все ваши плагины, темы и скрипты не обязательно совместимы с последней версией PHP, которую вы хотите использовать.

В случае несовместимости, скорее всего, ваш сайт больше не работает или вы видите много ошибок. Кроме того, WordPress теперь сообщает вам, совместим ли плагин с вашей версией PHP или нет.

Вы ищете лучшие темы и плагины WordPress?

Загрузите лучшие плагины и темы WordPress на Envato и легко создайте свой сайт. Уже больше, чем 49.720.000. [ЭКСКЛЮЗИВ]

Каждая версия PHP предлагает новые варианты, улучшения и исправления, исправления безопасности и структуру кода. Хотя некоторые обновления являются менее полными, чем другие, многие версии предлагают улучшения или модификации, которые делают некоторые части старых версий устаревшими.

Откройте для себя тоже Некоторые плагины безопасности WordPress для вашего блога

В некоторых случаях целые версии, такие как PHP 4 и выше, больше не поддерживаются. Если на вашем веб-сайте используются плагины, темы или сценарии, которые зависят от устаревшего кода PHP, и выполняется обновление до более новой версии PHP, это обновление сделает код устаревшим и, таким образом, прекратит работу. вашего блога.

Хотя это не так Не нужно всегда так важно понимать, что внесенные вами изменения будут иметь последствия. Таким образом, вы можете рассмотреть различные проблемы совместимости. Но если вам нужна премиум-тема WordPress, которая всегда будет актуальной, проверьте следующий список в соответствии с вашей нишей.

В дополнение к ручной проверке вашего веб-сайта на предмет выявления возможных слабых мест, существует множество плагинов, которые сообщают вам, совместима ли ваша среда с обновлением. Хорошей новостью является возможность понизить ранее активированную версию. Другими словами, если вы заметили какие-либо ошибки, все еще можно восстановить предыдущую версию PHP ... так, например, перейти на версию 5.5 версии 7.x, и если все не работает, вы можете вернуться к версия 5.5.

Проверьте совместимость PHP

Вот некоторые плагины, которые вы можете использовать для проверки совместимости вашей среды с обновленной версией PHP:

  • Проверка совместимости PHP - Этот плагин позволяет вам определить версию PHP и сделать анализ по сравнению с текущей версией PHP вашего хоста. Он также создает отчет, чтобы сказать вам, что исправить.
  • Error Log Monitor - Если есть ошибки, вы можете активировать журнал, чтобы отслеживать все ошибки, которые помогут вам легче их исправить.

Вы также можете активировать вручную газета частный ошибки с помощью " WP_DEBUG ». Вы также можете увидеть, что изменилось для каждой версии PHP перед обновлением:

Если вы обнаружите, что используете плагин, тему или скрипт, который не совместим с версией PHP, которую вы хотите использовать, вы можете связаться с автором или разработчиком, чтобы помочь вам решить проблему. Если вам нужна помощь, вы можете оставить комментарий в этой статье, я буду рад предоставить вам ответы.

Как изменить PHP версии

Итак, когда ваш блог прошел тест на совместимость, вы можете изменить версию PHP, которую вы используете, через SSH или cPanel. Если это не вариант, к которому у вас есть доступ, обратитесь к веб-хостинг, В большинстве случаев они могут обновить вас или выполнить другие задачи.

Обновление через SSH (продвинутые пользователи)

Поскольку команды SSH для обновления или установки других версий PHP различаются в зависимости от типа сервера, универсальных команд, работающих везде, не существует.

Защитите свой блог или веб-сайт, обратившись к нашему руководству: Sucuri: эффективный инструмент защиты от атак на WordPress

Легко создайте свой сайт с Elementor

Elementor позволяет легко создать любой дизайн сайта с профессиональным дизайном. Прекратите платить дорого за то, что вы можете сделать сами. [Free]

Нажмите на один из ресурсов ниже, чтобы просмотреть подробную информацию о типе вашего сервера:

Имейте в виду, что если вы используете команды, представленные в этих ссылках, вы также должны удалить старый пакет PHP со своего сервера. Поскольку команды для удаления старых версий также будут различаться в зависимости от типа вашего сервера, проверьте точные команды в документации к вашему серверу.

Обновите или измените PHP в cPanel

Если вы предпочитаете выбирать в несколько кликов версия PHP для вашего сервера, вы можете сделать это, войдя в свою учетную запись cPanel. Однако эта опция доступна только в версиях cPanel по умолчанию. Если это не так дома, вам нужно будет связаться с вашим поставщиком веб-хостинга для этого.

Я покажу вам, как получить к нему доступ с вашей панели управления. После того, как вы вошли в систему, перейдите в раздел «Программное обеспечение» и нажмите «Диспетчер MultiPHP».

Нажав на нее, вы перейдете к версии PHP для различных доступных доменов и поддоменов. Все, что вам нужно сделать, это выбрать правильную версию PHP и применить ее к домену по вашему выбору.

Процедура, которую необходимо выполнить, может быть выполнена в простых шагах 3, как показано на следующем рисунке:

Вы заметите, что интерфейс будет аналогичен тому, который предлагает WHM (если у вас есть выделенный сервер).

Как редактировать с WHM

Если у вас есть сервер, у вас, вероятно, есть установка WHM, которая позволяет вам управлять вашим сервером. С WHM вы также можете изменить версию по умолчанию PHP на вашей cPanel. Просто зайдите в MultiPHP Manager и измените версию PHP, которую вы хотите использовать в каждом домене.

Легко создайте свой интернет-магазин

Загрузите бесплатные WooCommerce, лучшие плагины для электронной коммерции, чтобы продавать свои физические и цифровые продукты в WordPress. [FREE]

Резервное копирование версии выполняется автоматически при изменении версии.

Рекомендуемые ресурсы

Чтобы продолжить, мы рекомендуем несколько статей, которые помогут вам понять, насколько важно иметь обновленную версию php.

Вывод

Это все, что вы можете сделать, чтобы обновить свою версию PHP. Если у вас есть какие-либо вопросы, не стесняйтесь оставлять их в разделе комментариев. Вы также можете найти дополнительные ресурсы, перейдя на эту страницу.

И если вам понравилась эта статья, поделитесь ею в разных социальных сетях.

Эта статья содержит комментарии 9
  1. Привет,
    Не могу обновить WordPress, который ставит мне это сообщение
    Важно: перед обновлением сделайте резервную копию базы данных и файлов. Для получения справки об обновлениях посетите страницу Обновление кодекса WordPress.
    Я написал своему хозяину, который попросил меня обновить мою версию php 7.3, и у меня все еще есть блокировка этого сообщения. У меня больше нет доступа к моим расширениям
    Есть ли что-то еще, чтобы обновить?
    Большое спасибо за вашу помощь
    Очень хороший день

  2. Привет Я в настоящее время использую шаблоны сайтов. У меня есть сайты 3, но я хочу отредактировать один из моих шаблонов сайтов, но я настрою новый шаблон. Версия php для 7 будет пустым экраном, если для версии php установлено значение 5.9. Но если я изменю версию php, мои другие сайты будут повреждены.

  3. После создания базы данных для моего проекта я обновился для работы с WordPresse в Wamp, вот сообщение, которое я получил.
    (Ваш сервер использует версию PHP для 5.5.12, но WordPress 5.2 требует как минимум версию 5.6.20)
    я начинаю, и я хотел бы понять, я должен обновить v wamp? или, версия php, если php, как продолжить?

    1. Привет,

      Вы должны обновить PHP. Пожалуйста, активируйте версию 7, если она доступна на вашем сервере!

  4. Привет,

    Я позволю себе отправить вам это письмо, потому что в настоящее время я полностью переделываю сайт одного из моих клиентов в WordPress.
    Однако некоторые плагины требуют обновления PHP. (Требуется версия 5.4 или выше PHP, расширение в настоящее время неактивно.)
    Мой хост не отвечает мне, и я новичок в компьютере (я забочусь о Webdesign)
    Можете ли вы рассказать мне подробно, как обновить свой PHP?
    Веб-сайт датируется 2 годами.

    Я заранее благодарю вас за вашу помощь и время, которое вы мне дадите.

    С уважением,

Оставить комментарий

Ваш электронный адрес не будет опубликован. Обязательные для заполнения поля помечены *

Этот сайт использует Akismet для уменьшения нежелательности. Узнайте больше о том, как используются ваши комментарии.

Вверх
3 акции
доля1
чирикать1
Регистрация1